Credentials
List credentials
GET /v1/organizations/credentials/list
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
QueryString
| Name | Type | Description |
|---|---|---|
| org_id | string | The Organization ID |
| action=list_credentials | string | The action (will not be needed soon) |
Response
{
"status": 200,
"credentials": [
{
"type": "azure|aws|gcp",
"id": "string",
"name": "string",
"comments": "string",
"resources": 0-1000,
"last_time": "string"
}
]
}
Create a new credential
POST /v1/organizations/credentials/create?action=add_credential
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Body
| Name | Type | Description |
|---|---|---|
| org_id | string | The Organization ID |
| type | string | aws / azure / gap |
| name | string | Credential Name |
| specific | Dict(string) | AWS: {"role": ""} Azure: {"tenant": "", "clientId": "", "key": ""} GCP: {"project": ""} |
| comments | string | Descriptive comments |
Response
{
"status": 200,
"response": "Credential created"
}
Remove credential
POST //v1/organizations/credentials/delete?action=remove_credential
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Body
| Name | Type | Description |
|---|---|---|
| org_id | string | The Organization ID |
| credential_id | string | Credential ID |
| comments | string | Remove comments |
Response
{
"status": 200,
"response": "Credential removed"
}
Credential update
POST /v1/organizations/credentials/update?action=update_credential
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Body
| Name | Type | Description |
|---|---|---|
| org_id | string | The Organization ID |
| credential_id | string | |
| data | Dict | |
| reason | string |
data:
| Name | Type | Description |
|---|---|---|
| name | string | |
| comments | string | |
| specific | Dict(string) | AWS: |
Response
{
"status": 200,
"response": "Credential updated"
}